MagickCore: transform.h File Reference

# transform.h File Reference

Go to the source code of this file.

## Functions
MagickExport Image * | ChopImage (const Image *, const RectangleInfo *, ExceptionInfo *)
MagickExport Image ** | ConsolidateCMYKImages (const Image *, ExceptionInfo *)
MagickExport Image *** | CropImage (const Image *, const RectangleInfo *, ExceptionInfo *)
MagickExport Image **** | ExcerptImage (const Image *, const RectangleInfo *, ExceptionInfo *)
MagickExport Image ***** | ExtentImage (const Image *, const RectangleInfo *, ExceptionInfo *)
MagickExport Image ****** | FlipImage (const Image *, ExceptionInfo *)
MagickExport Image ******* | FlopImage (const Image *, ExceptionInfo *)
MagickExport Image ******** | RollImage (const Image *, const long, const long, ExceptionInfo *)
MagickExport Image ********* | ShaveImage (const Image *, const RectangleInfo *, ExceptionInfo *)
MagickExport Image ********** | SpliceImage (const Image *, const RectangleInfo *, ExceptionInfo *)
MagickExport Image *********** | TransposeImage (const Image *, ExceptionInfo *)
MagickExport Image ************ | TransverseImage (const Image *, ExceptionInfo *)
MagickExport Image ************* | TrimImage (const Image *, ExceptionInfo *)
MagickExport MagickBooleanType | TransformImage (Image **, const char *, const char *)
MagickExport MagickBooleanType | TransformImages (Image **, const char *, const char *)

## Function Documentation

MagickExport Image* ChopImage | ( | const Image * | ,
|  | const RectangleInfo * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * ConsolidateCMYKImages | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * CropImage | ( | const Image * | ,
|  | const RectangleInfo * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * ExcerptImage | ( | const Image * | ,
|  | const RectangleInfo * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * ExtentImage | ( | const Image * | ,
|  | const RectangleInfo * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * FlipImage | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * FlopImage | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * RollImage | ( | const Image * | ,
|  | const | long,
|  | const | long,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * ShaveImage | ( | const Image * | ,
|  | const RectangleInfo * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * SpliceImage | ( | const Image * | ,
|  | const RectangleInfo * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType TransformImage | ( | Image ** | ,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType TransformImages | ( | Image ** | ,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * TransposeImage | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * TransverseImage | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * * TrimImage | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |